## r-cran-bindrcpp 0.2

=== DESCRIPTION ===
Package: bindrcpp
Title: An 'Rcpp' Interface to Active Bindings
Description: Provides an easy way to fill an environment with active bindings
    that call a C++ function.
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("RStudio", role = "cph")
    )
Version: 0.2
Date: 2017-06-15
URL: https://github.com/krlmlr/bindrcpp,
        https://krlmlr.github.io/bindrcpp
BugReports: https://github.com/krlmlr/bindrcpp/issues
Imports: Rcpp, bindr
Suggests: testthat
LinkingTo: Rcpp, plogr
RoxygenNote: 6.0.1
LazyData: true
License: MIT + file LICENSE
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2017-06-15 20:53:22 UTC; muelleki
Author: Kirill Müller [aut, cre],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-06-17 23:52:40 UTC

=== debian/changelog ===
r-cran-bindrcpp (0.2-1) unstable; urgency=medium

  * Initial release (closes: #877303)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 15:09:31 +0200

=== debian/control ===
Source: r-cran-bindrcpp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-bindr,
               r-cran-plogr
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-bindrcpp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bindrcpp.git
Homepage: https://cran.r-project.org/package=bindrcpp

Package: r-cran-bindrcpp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R 'Rcpp' Interface to Active Bindings
 This GNU R package provides an easy way to fill an environment with active
 bindings that call a C++ function.

## r-cran-bindrcpp 0.2.2

=== DESCRIPTION ===
Package: bindrcpp
Title: An 'Rcpp' Interface to Active Bindings
Version: 0.2.2
Date: 2018-03-29
Authors@R: c(
    person("Kirill", "M\u00fcller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org", comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = "cph")
    )
Description: Provides an easy way to fill an environment with active bindings
    that call a C++ function.
License: MIT + file LICENSE
URL: https://github.com/krlmlr/bindrcpp,
        https://krlmlr.github.io/bindrcpp
BugReports: https://github.com/krlmlr/bindrcpp/issues
Imports: bindr (>= 0.1.1), Rcpp (>= 0.12.16)
Suggests: testthat
LinkingTo: plogr, Rcpp
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2018-03-29 13:33:00 UTC; muelleki
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-03-29 14:09:09 UTC

=== debian/changelog ===
r-cran-bindrcpp (0.2.2-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 14:34:35 +0200

r-cran-bindrcpp (0.2.2-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 15:53:03 +0200

r-cran-bindrcpp (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 01 Apr 2018 07:51:05 +0200

=== debian/control ===
Source: r-cran-bindrcpp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bindr,
               r-cran-rcpp (>= 0.12.16),
               r-cran-plogr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp.git
Homepage: https://cran.r-project.org/package=bindrcpp
Rules-Requires-Root: no

Package: r-cran-bindrcpp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R 'Rcpp' Interface to Active Bindings
 This GNU R package provides an easy way to fill an environment with active
 bindings that call a C++ function.

## r-cran-bindrcpp 0.2.3

=== DESCRIPTION ===
Package: bindrcpp
Title: An 'Rcpp' Interface to Active Bindings
Version: 0.2.3
Date: 2023-12-11
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = "cph")
  )
Description: Provides an easy way to fill an environment with active
    bindings that call a C++ function.
License: MIT + file LICENSE
URL: https://github.com/krlmlr/bindrcpp,
        https://krlmlr.github.io/bindrcpp/
BugReports: https://github.com/krlmlr/bindrcpp/issues
Imports: bindr (>= 0.1.1), Rcpp (>= 0.12.16)
Suggests: testthat
LinkingTo: plogr, Rcpp
Config/Needs/check: RcppCore/Rcpp
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-11 21:27:04 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-12-12 04:20:02 UTC

=== debian/changelog ===
r-cran-bindrcpp (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-bindr,
-               r-cran-rcpp (>= 0.12.16),
+               r-cran-rcpp,
                r-cran-plogr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp.git
 Homepage: https://cran.r-project.org/package=bindrcpp

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bindrcpp_([-\d.]*)\.tar\.gz

## r-cran-bindrcpp 0.2.4

=== DESCRIPTION ===
Package: bindrcpp
Title: An 'Rcpp' Interface to Active Bindings
Version: 0.2.4
Date: 2026-02-05
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = "cph")
  )
Description: Provides an easy way to fill an environment with active
    bindings that call a C++ function.
License: MIT + file LICENSE
URL: https://github.com/krlmlr/bindrcpp,
        https://krlmlr.github.io/bindrcpp/
BugReports: https://github.com/krlmlr/bindrcpp/issues
Imports: bindr (>= 0.1.1), Rcpp (>= 0.12.16)
Suggests: testthat
LinkingTo: Rcpp
Config/Needs/check: RcppCore/Rcpp
Encoding: UTF-8
RoxygenNote: 7.3.3.9000
NeedsCompilation: yes
Packaged: 2026-02-05 21:09:11 UTC; kirill
Author: Kirill Müller [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2026-02-06 10:50:02 UTC

=== debian/changelog ===
r-cran-bindrcpp (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 Feb 2026 17:39:55 +0900

=== debian/control ===
Source: r-cran-bindrcpp
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-bindr,
 r-cran-rcpp,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindrcpp.git
Homepage: https://cran.r-project.org/package=bindrcpp
Rules-Requires-Root: no

Package: r-cran-bindrcpp
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R 'Rcpp' Interface to Active Bindings
 This GNU R package provides an easy way to fill an environment with active
 bindings that call a C++ function.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat,
